LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XCommandEnvironment Interface Referencepublished

defines the environment for a command. More...

`import"XCommandEnvironment.idl";`

Inheritance diagram for XCommandEnvironment:

## Public Member Functions
com::sun::star::task::XInteractionHandler | getInteractionHandler ()
| returns the command's interaction handler. More...
com::sun::star::ucb::XProgressHandler | getProgressHandler ()
| returns the command's progress handler. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

defines the environment for a command.

Version
  1.0

See also
  XCommandProcessor

## Member Function Documentation

## ◆ getInteractionHandler()

com::sun::star::task::XInteractionHandler getInteractionHandler | ( |  | ) |

returns the command's interaction handler.

If called multiple times, this method should consistently return the same value (to allow caching).

Returns
  an interaction handler

## ◆ getProgressHandler()

com::sun::star::ucb::XProgressHandler getProgressHandler | ( |  | ) |

returns the command's progress handler.

If called multiple times, this method should consistently return the same value (to allow caching).

Returns
  a progress handler

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XCommandEnvironment.idl